Subject: Invoice request// 6454509976//6453546579//6453546234 .
From: Ghazi Mohammad Ahmed <[email-masked]>
To: ali inayat <[email-masked]>, Seeta Seeta <[email-masked]>
Cc: "Fauzan Ahmad, Musalman" <[email-masked]>, Apoorv Joshi <[email-masked]>
Date: Fri, 31 Jan 2020 00:15:36 -0700 (MST)

Hi Team , 

Please provide us the invoice request for the below orders : 

6454509976 
6453546579 
6453546234 

Regards 
Ghazi